Skip to content

Update a browser monitor.

PUT
/browser_check/{check_id}
curl --request PUT \
--url https://api.siteqwality.com/browser_check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "script": "example", "frequency": "example", "timeout_seconds": 1, "check_regions": [ "example" ], "min_healthy_regions": 1, "state": "active", "group_notification_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "service_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tags": [ "example" ] }'
check_id
required
string format: uuid

Browser monitor identifier

Media type application/json
object
name
string | null
script
string | null
frequency
string | null
timeout_seconds
integer | null format: int32
check_regions
array | null
min_healthy_regions
integer | null format: int32
state
One of:
null
group_notification_ids
array | null
service_id
string | null format: uuid
tags
array | null

Browser monitor updated

Invalid request body

Missing or invalid authentication

Browser monitor not found

Internal server error